java-hsqldb/java-hsqldb-1.8.0.10-tmp.patch

15 lines
610 B
Diff
Raw Normal View History

--- hsqldb/bin/hsqldb 2007-08-30 09:37:02.000000000 +0200
+++ hsqldb/bin/hsqldb-gil 2009-06-01 18:18:35.000000000 +0200
@@ -110,7 +110,10 @@
SU_ECHO_SECS=1
# File used as semaphore. If file is removed, a running pid checker
# process will exit.
-PIDCHECKER_FLAGFILE=/tmp/pidchecker.run
+PIDCHECKER_FLAGFILE=`mktemp /tmp/hsqldb.XXXXXXXX`
+if [ x"$PIDCHECKER_FLAGFILE" = "x" ] ; then
+ echo "unable to create tmp file"; exit 1
+fi
# The following settings get overridden by optional setting in the config file.
# Time to allow for JVM to die after all HSQLDB instances stopped.
MAX_TERMINATE_SECS=1